# VideoNoteContent - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message.content.media / VideoNoteContent

# VideoNoteContent

(common) `data class VideoNoteContent : MediaContent` (source)

### Constructors

(common)

#### <init>

`VideoNoteContent(media: VideoNoteFile)`

### Properties

(common)

#### media

`val media: VideoNoteFile`

### Functions

(common)

#### asInputMedia

`fun asInputMedia(): InputMediaVideo`

(common)

#### createResend

`fun createResend(chatId: ChatIdentifier, disableNotification: Boolean, replyToMessageId: MessageIdentifier?, replyMarkup: KeyboardMarkup?): Request<ContentMessage<VideoNoteContent>>`
`fun createResend(chatId: ChatIdentifier, caption: String?, parseMode: ParseMode? = null, disableNotification: Boolean = false, replyToMessageId: MessageIdentifier? = null, replyMarkup: KeyboardMarkup? = null): Request<ContentMessage<VideoNoteContent>>`